# Version 3

<mark style="color:green;">`POST`</mark> `http://okaydbdemo.innov8tif.com/ekyc/okaydb/api/my/v3`

#### Request Body

| Name          | Type   | Description                                                                                                                                 |
| ------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------- |
| vehicleRegNum | string | Required if docType is myVehicleLicense                                                                                                     |
| dataEnabled   | string | <p>Default is False.<br>Set True to return personal details</p>                                                                             |
| docType       | string | <p>- "mykad" for citizen details<br>- "myLicense" for driving license details<br>- "myVehicleLicense" for vehicle details</p>               |
| name          | string | Name as shown on ID card. Used for name matching. If name is not given, name matching will not be done and return empty result in response. |
| icNumber      | string | ID card number as shown on ID card. Used for ic number matching.                                                                            |
| apiKey        | string | To be assigned by Innov8tif                                                                                                                 |

{% tabs %}
{% tab title="200 mykad" %}

```
{
    "status": "success",
    "icNumberMatch": true,
    "nameMatch": true,
    "data": {
        "name": "TAN JUAN",
        "icNumber": "960119081234",
        "dob": "19 Jan 1996",
        "gender": "LELAKI"
    }
}
```

{% endtab %}

{% tab title="201 myLicense" %}

```
{
    "status": "success",
    "expired": false,
    "data": {
        "name": "TAN JUAN",
        "icNumber": "9601190801234",
        "licenseType": "CDL - B2,D",
        "expiryDate": "19/01/2023",
        "commenceDate": "21/03/2018"
    }
}
```

{% endtab %}

{% tab title="302 myVehicleLicense" %}

```
{
    "status": "success",
    "icNumberMatch": true,
    "expired": false,
    "insuranceExpired": false,
    "data": {
        "name": "FONG KUAN",
        "icNumber": "691104012345",
        "expiryDate": "20/03/2022",
        "commenceDate": "21/03/2021",
        "insuranceExpiryDate": "20/03/2022",
        "vehicleRegNum": "ALG1234"
    }
}
```

{% endtab %}
{% endtabs %}

### Input Example

{% code title="mykad" %}

```
{
    "apiKey": "apikey",
    "icNumber": "900119080123",
    "docType": "mykad",
    "vehicleRegNum": "",
    "name":"",
    "dataEnabled": true
}
```

{% endcode %}

{% code title="myLicense" %}

```
{
    "apiKey": "apikey",
    "icNumber": "900119080123",
    "docType": "myLicense",
    "vehicleRegNum": "",
    "name":"",
    "dataEnabled": true
}
```

{% endcode %}

{% code title="myVehicleLicense" %}

```
{
    "apiKey": "apikey",
    "icNumber":"691104012345",
    "docType":"myVehicleLicense",
    "vehicleRegNum": "asd3345",
    "name":"",
    "dataEnabled":true
}
```

{% endcode %}

{% file src="/files/-Makz3ATFKTxkHieRRFg" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydb/malaysia/information-check/version-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
